# \Thelia\Model\BaseAdminLogQuery

Base class that represents a query for the 'admin_log' table.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterById()
filterByAdminLogin()
filterByAdminFirstname()
filterByAdminLastname()
filterByAction()
filterByRequest()
filterByCreatedAt()
filterByUpdatedAt()
prune()
doDeleteAll()
delete()
recentlyUpdated()
recentlyCreated()
lastUpdatedFirst()
firstUpdatedFirst()
lastCreatedFirst()
firstCreatedFirst()
orderById()
orderByAdminLogin()
orderByAdminFirstname()
orderByAdminLastname()
orderByAction()
orderByRequest()
orderByCreatedAt()
orderByUpdatedAt()
groupById()
groupByAdminLogin()
groupByAdminFirstname()
groupByAdminLastname()
groupByAction()
groupByRequest()
groupByCreatedAt()
groupByUpdatedAt()
leftJoin()
rightJoin()
innerJoin()
findOne()
findOneOrCreate()
findOneById()
findOneByAdminLogin()
findOneByAdminFirstname()
findOneByAdminLastname()
findOneByAction()
findOneByRequest()
findOneByCreatedAt()
findOneByUpdatedAt()
findById()
findByAdminLogin()
findByAdminFirstname()
findByAdminLastname()
findByAction()
findByRequest()
findByCreatedAt()
findByUpdatedAt()
No public properties found
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A
abstract

File
  Model/Base/AdminLogQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\AdminLogQuery

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\AdminLogQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\AdminLogQuery

Returns a new ChildAdminLogQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\AdminLogQuery

#

static

## Tags

None found

### findPk()

    findPk(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\AdminLog|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(12, $con);`

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\AdminLog|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Base\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(12, 56, 832), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\Base\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\AdminLogQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\AdminLogQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\AdminLogQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\AdminLogQuery —

The current query, for fluid interface

#

## Tags

None found

### filterById()

    filterById(mixed $id, string $comparison) : \Thelia\Model\AdminLogQuery

Filter the query on the id column

Example usage: `$query->filterById(1234); // WHERE id = 1234 $query->filterById(array(12, 34)); // WHERE id IN (12, 34) $query->filterById(array('min' => 12)); // WHERE id > 12`

#### Parameters

mixed | $id | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AdminLogQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByAdminLogin()

    filterByAdminLogin(string $adminLogin, string $comparison) : \Thelia\Model\AdminLogQuery

Filter the query on the admin_login column

Example usage: `$query->filterByAdminLogin('fooValue'); // WHERE admin_login = 'fooValue' $query->filterByAdminLogin('%fooValue%'); // WHERE admin_login LIKE '%fooValue%'`

#### Parameters

string | $adminLogin | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AdminLogQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByAdminFirstname()

    filterByAdminFirstname(string $adminFirstname, string $comparison) : \Thelia\Model\AdminLogQuery

Filter the query on the admin_firstname column

Example usage: `$query->filterByAdminFirstname('fooValue'); // WHERE admin_firstname = 'fooValue' $query->filterByAdminFirstname('%fooValue%'); // WHERE admin_firstname LIKE '%fooValue%'`

#### Parameters

string | $adminFirstname | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AdminLogQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByAdminLastname()

    filterByAdminLastname(string $adminLastname, string $comparison) : \Thelia\Model\AdminLogQuery

Filter the query on the admin_lastname column

Example usage: `$query->filterByAdminLastname('fooValue'); // WHERE admin_lastname = 'fooValue' $query->filterByAdminLastname('%fooValue%'); // WHERE admin_lastname LIKE '%fooValue%'`

#### Parameters

string | $adminLastname | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AdminLogQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByAction()

    filterByAction(string $action, string $comparison) : \Thelia\Model\AdminLogQuery

Filter the query on the action column

Example usage: `$query->filterByAction('fooValue'); // WHERE action = 'fooValue' $query->filterByAction('%fooValue%'); // WHERE action LIKE '%fooValue%'`

#### Parameters

string | $action | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AdminLogQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByRequest()

    filterByRequest(string $request, string $comparison) : \Thelia\Model\AdminLogQuery

Filter the query on the request column

Example usage: `$query->filterByRequest('fooValue'); // WHERE request = 'fooValue' $query->filterByRequest('%fooValue%'); // WHERE request LIKE '%fooValue%'`

#### Parameters

string | $request | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AdminLogQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\AdminLogQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AdminLogQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\AdminLogQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AdminLogQuery —

The current query, for fluid interface

#

## Tags

None found

### prune()

    prune(\Thelia\Model\AdminLog $adminLog) : \Thelia\Model\AdminLogQuery

Exclude object from result

#### Parameters

\Thelia\Model\AdminLog | $adminLog | Object to remove from the list of results

#### Returns

\Thelia\Model\AdminLogQuery —

The current query, for fluid interface

#

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the admin_log table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildAdminLog or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

## Tags

None found

### recentlyUpdated()

    recentlyUpdated(int $nbDays) : \Thelia\Model\AdminLogQuery

Filter by the latest updated

#### Parameters

int | $nbDays | Maximum age of the latest update in days

#### Returns

\Thelia\Model\AdminLogQuery —

The current query, for fluid interface

#

## Tags

None found

### recentlyCreated()

    recentlyCreated(int $nbDays) : \Thelia\Model\AdminLogQuery

Filter by the latest created

#### Parameters

int | $nbDays | Maximum age of in days

#### Returns

\Thelia\Model\AdminLogQuery —

The current query, for fluid interface

#

## Tags

None found

### lastUpdatedFirst()

    lastUpdatedFirst() : \Thelia\Model\AdminLogQuery

Order by update date desc

#### Returns

\Thelia\Model\AdminLogQuery —

The current query, for fluid interface

#

## Tags

None found

### firstUpdatedFirst()

    firstUpdatedFirst() : \Thelia\Model\AdminLogQuery

Order by update date asc

#### Returns

\Thelia\Model\AdminLogQuery —

The current query, for fluid interface

#

## Tags

None found

### lastCreatedFirst()

    lastCreatedFirst() : \Thelia\Model\AdminLogQuery

Order by create date desc

#### Returns

\Thelia\Model\AdminLogQuery —

The current query, for fluid interface

#

## Tags

None found

### firstCreatedFirst()

    firstCreatedFirst() : \Thelia\Model\AdminLogQuery

Order by create date asc

#### Returns

\Thelia\Model\AdminLogQuery —

The current query, for fluid interface

#

## Tags

None found

### orderById()

    orderById($order =) : \Thelia\Model\AdminLogQuery

Order by the id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AdminLogQuery

#

## Tags

None found

### orderByAdminLogin()

    orderByAdminLogin($order =) : \Thelia\Model\AdminLogQuery

Order by the admin_login column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AdminLogQuery

#

## Tags

None found

### orderByAdminFirstname()

    orderByAdminFirstname($order =) : \Thelia\Model\AdminLogQuery

Order by the admin_firstname column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AdminLogQuery

#

## Tags

None found

### orderByAdminLastname()

    orderByAdminLastname($order =) : \Thelia\Model\AdminLogQuery

Order by the admin_lastname column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AdminLogQuery

#

## Tags

None found

### orderByAction()

    orderByAction($order =) : \Thelia\Model\AdminLogQuery

Order by the action column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AdminLogQuery

#

## Tags

None found

### orderByRequest()

    orderByRequest($order =) : \Thelia\Model\AdminLogQuery

Order by the request column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AdminLogQuery

#

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\AdminLogQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AdminLogQuery

#

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\AdminLogQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AdminLogQuery

#

## Tags

None found

### groupById()

    groupById() : \Thelia\Model\AdminLogQuery

Group by the id column

#### Returns

\Thelia\Model\AdminLogQuery

#

## Tags

None found

### groupByAdminLogin()

    groupByAdminLogin() : \Thelia\Model\AdminLogQuery

Group by the admin_login column

#### Returns

\Thelia\Model\AdminLogQuery

#

## Tags

None found

### groupByAdminFirstname()

    groupByAdminFirstname() : \Thelia\Model\AdminLogQuery

Group by the admin_firstname column

#### Returns

\Thelia\Model\AdminLogQuery

#

## Tags

None found

### groupByAdminLastname()

    groupByAdminLastname() : \Thelia\Model\AdminLogQuery

Group by the admin_lastname column

#### Returns

\Thelia\Model\AdminLogQuery

#

## Tags

None found

### groupByAction()

    groupByAction() : \Thelia\Model\AdminLogQuery

Group by the action column

#### Returns

\Thelia\Model\AdminLogQuery

#

## Tags

None found

### groupByRequest()

    groupByRequest() : \Thelia\Model\AdminLogQuery

Group by the request column

#### Returns

\Thelia\Model\AdminLogQuery

#

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\AdminLogQuery

Group by the created_at column

#### Returns

\Thelia\Model\AdminLogQuery

#

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\AdminLogQuery

Group by the updated_at column

#### Returns

\Thelia\Model\AdminLogQuery

#

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\AdminLogQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\AdminLogQuery

#

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\AdminLogQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\AdminLogQuery

#

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\AdminLogQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\AdminLogQuery

#

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\AdminLog

Return the first ChildAdminLog matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\AdminLog

#

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\AdminLog

Return the first ChildAdminLog matching the query, or a new ChildAdminLog object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\AdminLog

#

## Tags

None found

### findOneById()

    findOneById(int $id) : \Thelia\Model\AdminLog

Return the first ChildAdminLog filtered by the id column

#### Parameters

int | $id |

#### Returns

\Thelia\Model\AdminLog

#

## Tags

None found

### findOneByAdminLogin()

    findOneByAdminLogin(string $admin_login) : \Thelia\Model\AdminLog

Return the first ChildAdminLog filtered by the admin_login column

#### Parameters

string | $admin_login |

#### Returns

\Thelia\Model\AdminLog

#

## Tags

None found

### findOneByAdminFirstname()

    findOneByAdminFirstname(string $admin_firstname) : \Thelia\Model\AdminLog

Return the first ChildAdminLog filtered by the admin_firstname column

#### Parameters

string | $admin_firstname |

#### Returns

\Thelia\Model\AdminLog

#

## Tags

None found

### findOneByAdminLastname()

    findOneByAdminLastname(string $admin_lastname) : \Thelia\Model\AdminLog

Return the first ChildAdminLog filtered by the admin_lastname column

#### Parameters

string | $admin_lastname |

#### Returns

\Thelia\Model\AdminLog

#

## Tags

None found

### findOneByAction()

    findOneByAction(string $action) : \Thelia\Model\AdminLog

Return the first ChildAdminLog filtered by the action column

#### Parameters

string | $action |

#### Returns

\Thelia\Model\AdminLog

#

## Tags

None found

### findOneByRequest()

    findOneByRequest(string $request) : \Thelia\Model\AdminLog

Return the first ChildAdminLog filtered by the request column

#### Parameters

string | $request |

#### Returns

\Thelia\Model\AdminLog

#

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\AdminLog

Return the first ChildAdminLog filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\AdminLog

#

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\AdminLog

Return the first ChildAdminLog filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\AdminLog

#

## Tags

None found

### findById()

    findById(int $id) : array

Return ChildAdminLog objects filtered by the id column

#### Parameters

int | $id |

#### Returns

array

#

## Tags

None found

### findByAdminLogin()

    findByAdminLogin(string $admin_login) : array

Return ChildAdminLog objects filtered by the admin_login column

#### Parameters

string | $admin_login |

#### Returns

array

#

## Tags

None found

### findByAdminFirstname()

    findByAdminFirstname(string $admin_firstname) : array

Return ChildAdminLog objects filtered by the admin_firstname column

#### Parameters

string | $admin_firstname |

#### Returns

array

#

## Tags

None found

### findByAdminLastname()

    findByAdminLastname(string $admin_lastname) : array

Return ChildAdminLog objects filtered by the admin_lastname column

#### Parameters

string | $admin_lastname |

#### Returns

array

#

## Tags

None found

### findByAction()

    findByAction(string $action) : array

Return ChildAdminLog objects filtered by the action column

#### Parameters

string | $action |

#### Returns

array

#

## Tags

None found

### findByRequest()

    findByRequest(string $request) : array

Return ChildAdminLog objects filtered by the request column

#### Parameters

string | $request |

#### Returns

array

#

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildAdminLog objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildAdminLog objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\AdminLog

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\AdminLog —

A model object, or null if the key is not found

#

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\AdminLog|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\AdminLog|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### AdminLogQuery.php